LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDefaultMethod Interface Reference

An object supporting this interface indicates to interested parties or clients the name of the default method for this object. More...

`import <XDefaultMethod.idl;`

Inheritance diagram for XDefaultMethod:

## Public Member Functions
string | getDefaultMethodName ()
| Returns the name of the default method.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

An object supporting this interface indicates to interested parties or clients the name of the default method for this object.

For example where ExampleObject is an instance of an Object that supports this interface which returns the default method name "defaultMethod".A scripting engine could use this information to support syntax like

"ExampleObject( Param1 ... ParamN )"

which would be equivalent to writing

"ExampleObject.defaultMethod( Param1 ... ParamN )"

## Member Function Documentation

## ◆ getDefaultMethodName()

string getDefaultMethodName | ( |  | ) |

Returns the name of the default method.

Returns
  The `string` name of default method

The documentation for this interface was generated from the following file:

- com/sun/star/script/XDefaultMethod.idl